Name:		eboard
Version:	1.1.1
Release:	1%{?dist}
Summary:	Chess board interface for ICS

Group:		Amusements/Games
License:	GPLv2+
URL:		http://eboard.sourceforge.net/
Source0:	http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	eboard.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libstdc++-devel
BuildRequires:	libpng-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	perl
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils

%description
Eboard provides a chess board interface to ICS (Internet Chess Servers)
like FICS and to chess engines like GNU Chess, Sjeng and Crafty.

%prep 
%setup -q

%build
export EXTRAFLAGS=`echo '%{optflags}' | sed 's/ /:/g'`
./configure --prefix="/usr" --man-prefix="%{_mandir}" --extra-flags="$EXTRAFLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
desktop-file-install --vendor fedora --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING Documentation/*.txt INSTALL README TODO
%{_bindir}/eboard
%{_bindir}/eboard-addtheme
%{_bindir}/eboard-config
%{_datadir}/eboard/
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man6/eboard.6*
%{_mandir}/man1/eboard-addtheme.1*
%{_mandir}/man1/eboard-config.1*

%changelog
* Wed Jul 30 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.1.1-1
- Initial build
